Bug 74248 - NFS client Oops on readdir operations
NFS client Oops on readdir operations
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-18 13:30 EDT by Need Real Name
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-09-18 13:30:36 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.79 [en] (X11; U; Linux 2.4.18-3 i686; Nav)

Description of problem:
An Oops is triggered on NFS client (from kernel 2.4.18-10) when accessing NFS
server from older systems (in this case, NFS server from RedHat 6.0 kernel
2.2.5-15).

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.  Any program which does readdir's on NFS partitions (e.g. tab-completion from
a shell, or a file browser, etc)
2.  Observe kernel logs on client and watch for Oops
	

Actual Results:  Oops triggered on NFS client machine (the RedHat 7.3 machine)

Any processes that then access the same NFS partition will hang.
Oops text is below:


Sep 16 10:27:24 carburetor kernel: Oops: 0000
Sep 16 10:27:24 carburetor kernel: opl3 binfmt_misc autofs nfs lockd sunrpc
3c59x ide-cd cdrom cs4232 ad1848 uart
Sep 16 10:27:24 carburetor kernel: CPU:    0
Sep 16 10:27:24 carburetor kernel: EIP:    0010:[<c88d3370>]    Not tainted
Sep 16 10:27:24 carburetor kernel: EFLAGS: 00010202
Sep 16 10:27:24 carburetor kernel: 
Sep 16 10:27:24 carburetor kernel: EIP is at nfs_do_filldir [nfs] 0xb0
(2.4.18-10)
Sep 16 10:27:24 carburetor kernel: eax: c6145e5c   ebx: c6145ee0   ecx:
0006c88c   edx: 00000000
Sep 16 10:27:24 carburetor kernel: esi: 00000000   edi: c6145f10   ebp:
00000000   esp: c6145dd8
Sep 16 10:27:24 carburetor kernel: ds: 0018   es: 0018   ss: 0018
Sep 16 10:27:24 carburetor kernel: Process bash (pid: 1411, stackpage=c6145000)
Sep 16 10:27:24 carburetor kernel: Stack: c4d19820 00000000 00000000 c6145fa0
c6145f10 c88d39ce c6145f10 c6145fa0 
Sep 16 10:27:24 carburetor kernel:        c0146380 c6145e44 00000000 c6145ee0
00000000 00000000 00000246 c6145e5c 
Sep 16 10:27:24 carburetor kernel:        0015021c c30e5260 00000302 c8821004
c30e5260 00000010 c783b1e0 c8813827 
Sep 16 10:27:24 carburetor kernel: Call Trace: [<c88d39ce>] nfs_readdir [nfs]
0x5ae 
Sep 16 10:27:24 carburetor kernel: [<c0146380>] filldir64 [kernel] 0x0 
Sep 16 10:27:24 carburetor kernel: [<c8821004>] ext3_mark_iloc_dirty [ext3] 0x24 
Sep 16 10:27:24 carburetor kernel: [<c8813827>] __jbd_kmalloc [jbd] 0x27 
Sep 16 10:27:24 carburetor kernel: [<c0146472>] filldir64 [kernel] 0xf2 
Sep 16 10:27:24 carburetor kernel: [<c012285e>] in_group_p [kernel] 0x1e 
Sep 16 10:27:24 carburetor kernel: [<c0141a59>] vfs_permission [kernel] 0x79 
Sep 16 10:27:24 carburetor kernel: [<c0141bdd>] cached_lookup [kernel] 0x2d 
Sep 16 10:27:24 carburetor kernel: [<c01425ce>] link_path_walk [kernel] 0x80e 
Sep 16 10:27:24 carburetor kernel: [<c88d7ce0>] nfs_decode_dirent [nfs] 0x0 
Sep 16 10:27:24 carburetor kernel: [<c0145fa0>] vfs_readdir [kernel] 0x60 
Sep 16 10:27:24 carburetor kernel: [<c0146380>] filldir64 [kernel] 0x0 
Sep 16 10:27:24 carburetor kernel: [<c014650f>] sys_getdents64 [kernel] 0x4f 
Sep 16 10:27:24 carburetor kernel: [<c0146380>] filldir64 [kernel] 0x0 
Sep 16 10:27:24 carburetor kernel: [<c0108913>] system_call [kernel] 0x33 
Sep 16 10:27:24 carburetor kernel: 
Sep 16 10:27:24 carburetor kernel: 
Sep 16 10:27:24 carburetor kernel: Code: 8b 34 85 00 7f 8e c8 56 51 8b 4b 14 51
8b 53 10 52 8b 43 1c 
Sep 16 10:28:07 carburetor kernel:  <7>init_special_inode: bogus imode (57174)

Additional info:
Comment 1 Bugzilla owner 2004-09-30 11:39:56 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.